=== modified file 'plugin/transaction_log/tests/r/select_for_update.result'
--- plugin/transaction_log/tests/r/select_for_update.result	2010-07-28 00:52:19 +0000
+++ plugin/transaction_log/tests/r/select_for_update.result	2010-08-24 16:57:49 +0000
@@ -1,3 +1,8 @@
+SET @orig_lock_wait_timeout= @@innodb_lock_wait_timeout;
+SELECT @orig_lock_wait_timeout;
+@orig_lock_wait_timeout
+50
+SET GLOBAL innodb_lock_wait_timeout=2;
 DROP TABLE IF EXISTS t1;
 CREATE TABLE t1 (
 id INT NOT NULL
@@ -18,6 +23,7 @@
 UPDATE t1 SET id=id + 1;
 COMMIT;
 DROP TABLE t1;
+SET GLOBAL innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
 START TRANSACTION;
 DROP TABLE IF EXISTS `test`.`t1`;
 COMMIT;

=== modified file 'plugin/transaction_log/tests/t/select_for_update.inc'
--- plugin/transaction_log/tests/t/select_for_update.inc	2009-12-09 01:22:20 +0000
+++ plugin/transaction_log/tests/t/select_for_update.inc	2010-08-24 16:57:49 +0000
@@ -4,6 +4,10 @@
 # times out. 
 # 
 
+SET @orig_lock_wait_timeout= @@innodb_lock_wait_timeout;
+SELECT @orig_lock_wait_timeout;
+SET GLOBAL innodb_lock_wait_timeout=2;
+
 --disable_warnings
 DROP TABLE IF EXISTS t1;
 --enable_warnings
@@ -34,4 +38,9 @@
 UPDATE t1 SET id=id + 1;
 COMMIT;
 
+connection default;
+disconnect conn1;
+disconnect conn2;
 DROP TABLE t1;
+
+SET GLOBAL innodb_lock_wait_timeout=@orig_lock_wait_timeout ;

=== modified file 'tests/include/mix1.inc'
--- tests/include/mix1.inc	2010-05-12 21:58:06 +0000
+++ tests/include/mix1.inc	2010-08-24 16:57:49 +0000
@@ -26,6 +26,9 @@
 #
 
 eval SET SESSION STORAGE_ENGINE = $engine_type;
+SET @orig_lock_wait_timeout= @@innodb_lock_wait_timeout; 
+SET GLOBAL innodb_lock_wait_timeout=2;
+
 
 --disable_warnings
 drop table if exists t1,t2,t3,t1m,t1i,t2m,t2i,t4;
@@ -1091,4 +1094,6 @@
 DROP TABLE t2;
 DROP TABLE t1;
 
+SET innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
+
 --echo End of 5.1 tests

=== modified file 'tests/r/innodb-semi-consistent.result'
--- tests/r/innodb-semi-consistent.result	2010-08-23 23:23:09 +0000
+++ tests/r/innodb-semi-consistent.result	2010-08-24 16:57:49 +0000
@@ -35,4 +35,4 @@
 11
 7
 drop table t1;
-SET innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
+SET GLOBAL innodb_lock_wait_timeout=@orig_lock_wait_timeout ;

=== modified file 'tests/r/innodb.result'
--- tests/r/innodb.result	2010-08-16 23:56:39 +0000
+++ tests/r/innodb.result	2010-08-24 16:57:49 +0000
@@ -1,3 +1,5 @@
+SET @orig_lock_wait_timeout= @@innodb_lock_wait_timeout;
+SET GLOBAL innodb_lock_wait_timeout=2;
 drop table if exists t1,t2,t3,t4;
 drop database if exists mysqltest;
 create table t1 (id int not null auto_increment, code int not null, name char(20) not null, primary key (id), key (code), unique (name)) engine=innodb;
@@ -2716,3 +2718,4 @@
 -10
 1
 DROP TABLE t1;
+SET GLOBAL innodb_lock_wait_timeout=@orig_lock_wait_timeout ;

=== modified file 'tests/r/innodb_mysql.result'
--- tests/r/innodb_mysql.result	2010-08-19 20:36:05 +0000
+++ tests/r/innodb_mysql.result	2010-08-24 16:57:49 +0000
@@ -1,6 +1,8 @@
 set global innodb_support_xa=default;
 set session innodb_support_xa=default;
 SET SESSION STORAGE_ENGINE = InnoDB;
+SET @orig_lock_wait_timeout= @@innodb_lock_wait_timeout;
+SET GLOBAL innodb_lock_wait_timeout=2;
 drop table if exists t1,t2,t3,t1m,t1i,t2m,t2i,t4;
 create table t1 (
 c_id int not null default '0',
@@ -1349,4 +1351,5 @@
 
 DROP TABLE t2;
 DROP TABLE t1;
+SET innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
 End of 5.1 tests

=== modified file 'tests/t/innodb-semi-consistent.test'
--- tests/t/innodb-semi-consistent.test	2010-08-23 23:23:09 +0000
+++ tests/t/innodb-semi-consistent.test	2010-08-24 16:57:49 +0000
@@ -48,5 +48,5 @@
 disconnect b;
 
 
-SET innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
+SET GLOBAL innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
 

=== modified file 'tests/t/innodb.test'
--- tests/t/innodb.test	2010-06-02 07:13:05 +0000
+++ tests/t/innodb.test	2010-08-24 16:57:49 +0000
@@ -12,6 +12,9 @@
 #######################################################################
 
 -- source include/have_innodb.inc
+SET @orig_lock_wait_timeout= @@innodb_lock_wait_timeout; 
+SET GLOBAL innodb_lock_wait_timeout=2;
+
 
 #
 # Small basic test with ignore
@@ -1897,6 +1900,9 @@
 SELECT * FROM t1;
 DROP TABLE t1;
 
+SET GLOBAL innodb_lock_wait_timeout=@orig_lock_wait_timeout ;
+
+
 #######################################################################
 #                                                                     #
 # Please, DO NOT TOUCH this file as well as the innodb.result file.   #

